Bug 530986 - Review Request: janino - An embedded Java compiler
Review Request: janino - An embedded Java compiler
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 540986
  Show dependency treegraph
 
Reported: 2009-10-26 08:15 EDT by Mary Ellen Foster
Modified: 2009-12-15 22:29 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.5.15-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-15 20:21:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-10-26 08:15:20 EDT
Spec URL: http://mef.fedorapeople.org/packages/sesame/janino.spec
SRPM URL: http://mef.fedorapeople.org/packages/sesame/janino-2.5.15-1.fc11.src.rpm

Description:
Janino is a compiler that reads a JavaTM expression, block,
class body, source file or a set of source files, and
generates JavaTM bytecode that is loaded and executed
directly. Janino is not intended to be a development tool,
but an embedded compiler for run-time compilation purposes,
e.g. expression evaluators or "server pages" engines like JSP.
JANINO is integrated with Apache Commons JCI ("Java Compiler
Interface") and JBoss Rules / Drools.
JANINO can also be used for static code analysis.

Note: This is an import into Fedora of a package from JPackage and Mandriva originally created by Alexander Kurtakov
Comment 1 Alexander Kurtakov 2009-10-26 08:53:04 EDT
In this case I'll take this one :). Just to note that JPackage's version has nothing to do with me.
Comment 2 Mary Ellen Foster 2009-10-26 13:48:51 EDT
Here's a new version. Changes:
- Removed gcj stuff
- Modified note in changelog to refer correctly to source package

http://mef.fedorapeople.org/packages/sesame/janino.spec
http://mef.fedorapeople.org/packages/sesame/janino-2.5.15-2.fc11.src.rpm
Comment 3 Alexander Kurtakov 2009-10-26 14:47:30 EDT
Some minor issues:
rpmlint is not happy:
janino-javadoc.noarch: W: non-standard-group Development/Java
janino.noarch: W: non-standard-group Development/Java
janino.noarch: W: no-documentation

I don't see any documentation included so this is ok but the other 2 should be Documentation and Development/Tools.
Javadoc subpackage description is better to be "API documentation for %{name}."
Comment 4 Alexander Kurtakov 2009-10-26 15:44:37 EDT
NOT OK: rpmlint see previous comment
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: No docs provided by upstream.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms 
OK: All build dependencies must be listed in BuildRequires
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK *: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 

It would be better if you use the defaults (-,root,root,-)


OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage.
OK: Packages must not own files or directories already owned by other packages. OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 

Only issues are group names and using default permissions. They are pretty minor and once I see them fixed the package will be approved.
Comment 5 Jason Tibbitts 2009-10-26 16:18:14 EDT
Please set the fedora-review flag to '?' if you are reviewing.
Comment 6 Mary Ellen Foster 2009-10-27 06:10:30 EDT
Thanks for the quick review turnaround! I've fixed the group names and file permissions here:

http://mef.fedorapeople.org/packages/sesame/janino.spec
http://mef.fedorapeople.org/packages/sesame/janino-2.5.15-3.fc11.src.rpm
Comment 7 Alexander Kurtakov 2009-10-27 06:27:18 EDT
APPROVED.
Comment 8 Mary Ellen Foster 2009-11-18 05:43:54 EST
Oops, just realised that the fedora-cvs flag never got set on this ...
Comment 9 Mary Ellen Foster 2009-11-18 05:45:39 EST
Also, the proper link for the final SRPM is http://mef.fedorapeople.org/packages/sesame/janino-2.5.15-3.fc12.src.rpm
Comment 10 Jason Tibbitts 2009-11-19 13:06:35 EST
I see no CVS request here.  Please submit a CVS request as described in https://fedoraproject.org/wiki/CVS_admin_requests and set the fedora-cvs flag back to '?'.
Comment 11 Mary Ellen Foster 2009-11-24 06:11:27 EST
Sorry about that ... :(

New Package CVS Request
=======================
Package Name: janino
Short Description: An embedded Java compiler
Owners: mef
Branches: F-11 F-12
InitialCC:
Comment 12 Kevin Fenzi 2009-11-27 00:27:10 EST
cvs done.
Comment 13 Fedora Update System 2009-11-27 05:27:01 EST
janino-2.5.15-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/janino-2.5.15-3.fc11
Comment 14 Fedora Update System 2009-11-27 05:27:58 EST
janino-2.5.15-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/janino-2.5.15-3.fc12
Comment 15 Fedora Update System 2009-11-27 16:40:02 EST
janino-2.5.15-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update janino'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12215
Comment 16 Fedora Update System 2009-11-27 16:48:35 EST
janino-2.5.15-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update janino'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12239
Comment 17 Fedora Update System 2009-12-15 20:21:29 EST
janino-2.5.15-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-12-15 20:22:21 EST
janino-2.5.15-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Rudolf Kastl 2009-12-15 22:29:26 EST
just curious, according to: https://fedoraproject.org/wiki/Packaging/GCJGuidelines the aot compile should be included. why did you remove it? are their building problems with it? will you add them back?

Note You need to log in before you can comment on or make changes to this bug.